# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="View hex of binary files"
HOMEPAGE="https://git.flanchan.moe/flanchan/hexview"
SRC_URI="https://git.flanchan.moe/flanchan/hexview/archive/v0.1.0.tar.gz -> hexview-0.1.0.tar.gz"

LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""

src_unpack() {
	default
	mv ${WORKDIR}/hexview{,-0.1.0}
}

src_compile() {
	unset FEATURES
	mkdir ${S}/build
	default
	strip ${S}/build/hexview
}

src_install() {
	mkdir -p ${D}/usr/bin
	emake bindir=/usr/bin DESTDIR="${D}" install
}


