# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="Quickly compare files for identity"
HOMEPAGE="https://git.flanchan.moe/flanchan/fcmp"
SRC_URI="https://git.flanchan.moe/flanchan/fcmp/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""

IUSE="debug"

src_unpack() {
	default
	mv ${PN} ${P}
}

src_compile() {
	if use debug; then
		CFLAGS="" LDFLAGS="" emake debug
		mv ${PN}-debug ${PN}
	else
		RELEASE_CFLAGS="" RELEASE_LDFLAGS="" default
		mv ${PN}-release ${PN}
	fi
}

src_install() {
	dobin ${PN}
}
